.\" Man page generated from reStructuredText.
.
.TH "CYR_SYNCLOG" "8" "August 10, 2018" "3.0.8" "Cyrus IMAP"
.SH NAME
cyr_synclog \- Cyrus IMAP documentation
.
.nr rst2man-indent-level 0
.
.de1 rstReportMargin
\\$1 \\n[an-margin]
level \\n[rst2man-indent-level]
level margin: \\n[rst2man-indent\\n[rst2man-indent-level]]
-
\\n[rst2man-indent0]
\\n[rst2man-indent1]
\\n[rst2man-indent2]
..
.de1 INDENT
.\" .rstReportMargin pre:
. RS \\$1
. nr rst2man-indent\\n[rst2man-indent-level] \\n[an-margin]
. nr rst2man-indent-level +1
.\" .rstReportMargin post:
..
.de UNINDENT
. RE
.\" indent \\n[an-margin]
.\" old: \\n[rst2man-indent\\n[rst2man-indent-level]]
.nr rst2man-indent-level -1
.\" new: \\n[rst2man-indent\\n[rst2man-indent-level]]
.in \\n[rst2man-indent\\n[rst2man-indent-level]]u
..
.
.nr rst2man-indent-level 0
.
.de1 rstReportMargin
\\$1 \\n[an-margin]
level \\n[rst2man-indent-level]
level margin: \\n[rst2man-indent\\n[rst2man-indent-level]]
-
\\n[rst2man-indent0]
\\n[rst2man-indent1]
\\n[rst2man-indent2]
..
.de1 INDENT
.\" .rstReportMargin pre:
. RS \\$1
. nr rst2man-indent\\n[rst2man-indent-level] \\n[an-margin]
. nr rst2man-indent-level +1
.\" .rstReportMargin post:
..
.de UNINDENT
. RE
.\" indent \\n[an-margin]
.\" old: \\n[rst2man-indent\\n[rst2man-indent-level]]
.nr rst2man-indent-level -1
.\" new: \\n[rst2man-indent\\n[rst2man-indent-level]]
.in \\n[rst2man-indent\\n[rst2man-indent-level]]u
..
.sp
is used to append a value to the log file.  You can either specify
the log type and value, or an entire log line.
.SH SYNOPSIS
.sp
.nf
\fBcyr_synclog\fP [ \fB\-C\fP \fIconfig\-file\fP ] [ \fI\-{type}\fP \fIvalue\fP ]
\fBcyr_synclog\fP [ \fB\-C\fP \fIconfig\-file\fP ] \fI"<raw\-log\-line>"\fP
.fi
.SH DESCRIPTION
.sp
\fBcyr_synclog\fP is used to append a value to the log file.  You can
either specify the log type and value, or an entire log line.
.sp
Running without any options will print a short usage document.
.sp
\fBcyr_synclog\fP reads its configuration options out of the imapd.conf(5) file unless specified otherwise by \fB\-C\fP\&.
.SH OPTIONS
.INDENT 0.0
.TP
.B \-C config\-file
Use the specified configuration file \fIconfig\-file\fP rather than the default imapd.conf(5)\&.
.UNINDENT
.INDENT 0.0
.TP
.B \-u   user
.UNINDENT
.INDENT 0.0
.TP
.B \-U   unuser
.UNINDENT
.INDENT 0.0
.TP
.B \-v   sieve
.UNINDENT
.INDENT 0.0
.TP
.B \-m   mailbox
.UNINDENT
.INDENT 0.0
.TP
.B \-M   unmailbox
.UNINDENT
.INDENT 0.0
.TP
.B \-a   append
.UNINDENT
.INDENT 0.0
.TP
.B \-c   acl
.UNINDENT
.INDENT 0.0
.TP
.B \-q   quota
.UNINDENT
.INDENT 0.0
.TP
.B \-n   annotation
.UNINDENT
.INDENT 0.0
.TP
.B \-s   seen
.UNINDENT
.INDENT 0.0
.TP
.B \-b   subscription
.UNINDENT
.SH EXAMPLES
.sp
.nf
\fBcyr_synclog \-m\fP \fIuser.brong\fP
.fi
.INDENT 0.0
.INDENT 3.5
Add the mailbox \fIuser.brong\fP to the log.
.UNINDENT
.UNINDENT
.sp
.nf
\fBcyr_synclog \-u\fP \fIbrong\fP
.fi
.INDENT 0.0
.INDENT 3.5
Add the user \fIbrong\fP to the log.
.UNINDENT
.UNINDENT
.sp
.nf
\fBcyr_synclog \-C\fP \fI/etc/imapd\-special.conf\fP \fB\-s\fP \fIuser.brong\fP \fIbrong\fP
.fi
.INDENT 0.0
.INDENT 3.5
Add a log entry to mark mailbox \fIuser.brong\fP as seen by user
\fIbrong\fP\&.
.UNINDENT
.UNINDENT
.sp
.nf
\fBcyr_synclog\fP \fI"SEEN user.brong brong"\fP
.fi
.INDENT 0.0
.INDENT 3.5
Add a log line, using the raw format, to mark mailbox
\fIuser.brong\fP as seen by user \fIbrong\fP\&.
.UNINDENT
.UNINDENT
.SH HISTORY
.sp
This command was introduced in version 3.0.
.SH FILES
.sp
/etc/imapd.conf,
<configdirectory>/sync/log
.SH SEE ALSO
.sp
imapd.conf(5), sync_client(8)
.SH AUTHOR
The Cyrus Team, Nic Bernstein (Onlight)
.SH COPYRIGHT
1993-2017, The Cyrus Team
.\" Generated by docutils manpage writer.
.
